* [PATCH (fixed) 1/2] rebase: check for errors from git-commit
@ 2006-06-28 10:24 Eric Wong
0 siblings, 0 replies; only message in thread
From: Eric Wong @ 2006-06-28 10:24 UTC (permalink / raw)
To: Junio C Hamano; +Cc: git
commit does not always succeed, so we'll have to check for
it in the absence of set -e. This fixes a regression
introduced in 9e4bc7dd1bb9d92491c475cec55147fa0b3f954d
Signed-off-by: Eric Wong <normalperson@yhbt•net>
---
git-rebase.sh | 7 ++++++-
1 files changed, 6 insertions(+), 1 deletions(-)
diff --git a/git-rebase.sh b/git-rebase.sh
index 9ad1c44..28860fc 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -59,8 +59,13 @@ continue_merge () {
if test -n "`git-diff-index HEAD`"
then
+ if ! git-commit -C "`cat $dotest/current`"
+ then
+ echo "Commit failed, please do not call \"git commit\""
+ echo "directly, but instead do one of the following: "
+ die "$RESOLVEMSG"
+ fi
printf "Committed: %0${prec}d" $msgnum
- git-commit -C "`cat $dotest/current`"
else
printf "Already applied: %0${prec}d" $msgnum
fi
--
1.4.1.rc1.gc7c5
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2006-06-28 10:24 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2006-06-28 10:24 [PATCH (fixed) 1/2] rebase: check for errors from git-commit Eric Wong
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox